#
# spec file for package pdftk-qgui (Version  0.1.9.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Name:		pdftk-qgui
Summary:	A QT4 based GUI for the PDF toolkit
License: GPL-2.0
Group:		Productivity/Publishing/PDF
Version:	0.1.9.2
Release:	pm152.2.7
URL:            http://www.suslic-2012.narod.ru/
Source0:	%{name}_0.1.9-2_src.tar.bz2
Source1:	%{name}.desktop 
Patch0:		%{name}-%{version}.patch
Patch1:		%{name}-%{version}-qt44.patch
BuildRequires:	gcc-c++ libqt4-devel update-desktop-files libQtWebKit-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Autoreqprov:	on
Requires:	pdftk

%description 
PdfTk-QGUI (aka SuslicTk) is a GUI for pdftk (you can download pdftk at http://www.accesspdf.com/pdftk)
With PdfTk-QGUI you can:
- combine, split, repair, rebuild , encrypt/decrypt PDF documents. Also you can attach files , unpack files, add background/stamp to PDF document (using pdftk)
- do it with the help of a convenient graphical user interface
- convert txt and html documents to pdf



%prep
%setup -q -n %{name}_0.1.9-2_src
# set reasonable file permissions in source directory
find . -type f -exec chmod 0644 {} \;
%patch0 -p0
%if 0%{?suse_version} <= 1110
%patch1 -p0
%endif

%build
qmake

%__make

%install
# install the binary
install -D -m 755 bin/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

# install desktop file & icon
install -D -m 644 images/addall.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%suse_update_desktop_file -i "pdftk-qgui" Office Viewer

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %attr (-,root,root) readme
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_bindir}/%{name}

%changelog
* Thu Jan 14 2010 - axel@links2linux.de
- updated to 0.1.9.2
  * Pdf documents can be viewed using system pdf reader 
  (to use it, select appropriate option in preferences dialog)
  *Built-in translations removed. If local language is selected, 
  PdfTk-QGUI tries to load ~/.suslictk/suslictk_\loc\.qm, where \loc\ 
  is ISO 639-1 language code (for example en for English, ru for Russian etc.). 
  If this file is not found, default (english) language is used. 
  You can still select custom language file choosing appropriate option in preferences dialog.
  * Bug fixed: selecting pdftk-gui as pdftk binary lead to infinite loop in startup
  * Bug fixed: ".pdf" extension was not always added to output filename
  *Bug fixed(?): It has been reported that selecting locale language in preferences 
  can lead to infinite loop on startup. The only cycle, that could possibly become 
  infinite was removed, code rewritten.
  If this repeats (that is very unlikely), please send me detailed report 
  ( i.e. your ~/.suslictk/suslictk.rc, ~/.config/SuslicSoft/PdfTk-QGUI.conf 
  files and console output). To cure this behaviour, remove this files.
  *Bug fixed: make scripts tab in preferences dialog inactive, if there is no scripts.
- patches refreshed
* Sat Sep 12 2009 - AxelKoellhofer@web.de
- initial package, version 0.1.9
